curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/bvzLXSB3HtV8h1fo1ROjSr7l8su.jpg",
"created_by": [
{
"credit_id": "52533b8d19c295794006e2a3",
"gender": 2,
"id": 57293,
"name": "Sydney Newman",
"original_name": "Sydney Newman",
"profile_path": "/QKW3Widw7yaemYlB3NKEmJrhrF.jpg"
}
],
"episode_run_time": [
50,
60
],
"first_air_date": "1966-06-23",
"genres": [
{
"id": 18,
"name": "Drama"
},
{
"id": 35,
"name": "Comedy"
},
{
"id": 10759,
"name": "Action & Adventure"
},
{
"id": 10765,
"name": "Sci-Fi & Fantasy"
}
],
"homepage": "",
"id": 122,
"in_production": false,
"languages": [
"en"
],
"last_air_date": "1967-03-25",
"last_episode_to_air": {
"air_date": "1967-03-25",
"episode_number": 13,
"episode_type": "finale",
"id": 5685,
"name": "A Sinister Sort of Service",
"overview": "Is The Face behind a series of robberies?",
"production_code": "",
"runtime": null,
"season_number": 2,
"show_id": 122,
"still_path": null,
"vote_average": 0,
"vote_count": 0
},
"name": "Adam Adamant Lives!",
"networks": [
{
"id": 4,
"logo_path": "/uJjcCg3O4DMEjM0xtno9OWFciRP.png",
"name": "BBC One",
"origin_country": "GB"
}
],
"next_episode_to_air": null,
"number_of_episodes": 29,
"number_of_seasons": 2,
"origin_country": [
"GB"
],
"original_language": "en",
"original_name": "Adam Adamant Lives!",
"overview": "Adam Adamant Lives! is a British television series which ran from 1966 to 1967 on the BBC, starring Gerald Harper in the title role. Proposing that an adventurer born in 1867 had been revived from hibernation in 1966, the show was a comedy adventure that took a satirical look at life in the 1960s through the eyes of an Edwardian.",
"popularity": 6.411,
"poster_path": "/m1hkyeMvgPFKi2YnvU4ZFORaTd3.jpg",
"production_companies": [],
"production_countries": [],
"seasons": [
{
"air_date": null,
"episode_count": 5,
"id": 357,
"name": "Specials",
"overview": "",
"poster_path": null,
"season_number": 0,
"vote_average": 0
},
{
"air_date": "1966-06-23",
"episode_count": 16,
"id": 355,
"name": "Season 1",
"overview": "",
"poster_path": null,
"season_number": 1,
"vote_average": 10
},
{
"air_date": "1966-12-31",
"episode_count": 13,
"id": 356,
"name": "Season 2",
"overview": "",
"poster_path": null,
"season_number": 2,
"vote_average": 0
}
],
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Ended",
"tagline": "",
"type": "Scripted",
"vote_average": 7.5,
"vote_count": 4
}Details
This endpoint get the details of a TV show.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Response
Details
false
"/bvzLXSB3HtV8h1fo1ROjSr7l8su.jpg"
Show child attributes
Show child attributes
[ { "credit_id": "52533b8d19c295794006e2a3", "gender": 2, "id": 57293, "name": "Sydney Newman", "original_name": "Sydney Newman", "profile_path": "/QKW3Widw7yaemYlB3NKEmJrhrF.jpg" } ]
[50, 60]
"1966-06-23"
Show child attributes
Show child attributes
[ { "id": 18, "name": "Drama" }, { "id": 35, "name": "Comedy" }, { "id": 10759, "name": "Action & Adventure" }, { "id": 10765, "name": "Sci-Fi & Fantasy" } ]
""
122
false
["en"]
"1967-03-25"
Show child attributes
Show child attributes
"Adam Adamant Lives!"
Show child attributes
Show child attributes
[ { "id": 4, "logo_path": "/uJjcCg3O4DMEjM0xtno9OWFciRP.png", "name": "BBC One", "origin_country": "GB" } ]
29
2
["GB"]
"en"
"Adam Adamant Lives!"
"Adam Adamant Lives! is a British television series which ran from 1966 to 1967 on the BBC, starring Gerald Harper in the title role. Proposing that an adventurer born in 1867 had been revived from hibernation in 1966, the show was a comedy adventure that took a satirical look at life in the 1960s through the eyes of an Edwardian."
6.411
"/m1hkyeMvgPFKi2YnvU4ZFORaTd3.jpg"
[]
[]
Show child attributes
Show child attributes
[ { "air_date": null, "episode_count": 5, "id": 357, "name": "Specials", "overview": "", "poster_path": null, "season_number": 0, "vote_average": 0 }, { "air_date": "1966-06-23", "episode_count": 16, "id": 355, "name": "Season 1", "overview": "", "poster_path": null, "season_number": 1, "vote_average": 10 }, { "air_date": "1966-12-31", "episode_count": 13, "id": 356, "name": "Season 2", "overview": "", "poster_path": null, "season_number": 2, "vote_average": 0 } ]
Show child attributes
Show child attributes
[ { "english_name": "English", "iso_639_1": "en", "name": "English" } ]
"Ended"
""
"Scripted"
7.5
4